Loading...
Searching...
No Matches
gesv: Solves Ax = b using LU factorization - no pivoting (driver)
Dense LA » Linear system solvers » General matrices: LU » No pivoting variant

## Functions

magma_int_t | magma_cgesv_nopiv_gpu (magma_int_t n, magma_int_t nrhs, magmaFloatComplex_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_int_t *info)
| CGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.
magma_int_t | magma_dgesv_nopiv_gpu (magma_int_t n, magma_int_t nrhs, magmaDouble_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_int_t *info)
| DGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.
magma_int_t | magma_sgesv_nopiv_gpu (magma_int_t n, magma_int_t nrhs, magmaFloat_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_int_t *info)
| SGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.
magma_int_t | magma_zgesv_nopiv_gpu (magma_int_t n, magma_int_t nrhs, magmaDoubleComplex_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_int_t *info)
| ZGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.

## Detailed Description

## Function Documentation

## magma_cgesv_nopiv_gpu()

magma_int_t magma_cgesv_nopiv_gpu | ( | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

CGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | COMPLEX array on the GPU, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L and U from the factorization A = L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | COMPLEX array on the GPU, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_dgesv_nopiv_gpu()

magma_int_t magma_dgesv_nopiv_gpu | ( | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

DGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | DOUBLE PRECISION array on the GPU, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L and U from the factorization A = L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | DOUBLE PRECISION array on the GPU, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_sgesv_nopiv_gpu()

magma_int_t magma_sgesv_nopiv_gpu | ( | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

SGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | REAL array on the GPU, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L and U from the factorization A = L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | REAL array on the GPU, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_zgesv_nopiv_gpu()

magma_int_t magma_zgesv_nopiv_gpu | ( | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t * | info )

ZGESV solves a system of linear equations A * X = B where A is a general n-by-n matrix and X and B are n-by-nrhs matrices.

The LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B.

Parameters

  [in] | n | INTEGER The order of the matrix A. n >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. nrhs >= 0.
  [in,out] | dA | COMPLEX_16 array on the GPU, dimension (ldda,n). On entry, the n-by-n matrix to be factored. On exit, the factors L and U from the factorization A = L*U; the unit diagonal elements of L are not stored.
  [in] | ldda | INTEGER The leading dimension of the array A. ldda >= max(1,n).
  [in,out] | dB | COMPLEX_16 array on the GPU, dimension (lddb,nrhs) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | lddb | INTEGER The leading dimension of the array B. lddb >= max(1,n).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value